global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
dashboard:
  enabled: false
content:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: content
    tag: snapshot-7940aa2
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8013
    protocol: TCP
  resources:
    requests:
      cpu: 50m
      memory: 64Mi
    limits:
      cpu: 200m
      memory: 128Mi
  probes:
    readiness:
      type: httpGet
      config:
        path: /api/_/readyz
        port: 8013
        initialDelaySeconds: 5
        periodSeconds: 30
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
    liveness:
      type: httpGet
      config:
        path: /api/_/livez
        port: 8013
        initialDelaySeconds: 5
        periodSeconds: 15
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
        terminationGracePeriodSeconds: 30
  services:
  - name: content-service
    type: ClusterIP
    port: 8013
    targetPort: 8013
    serviceMonitor:
      enabled: false
  ingresses:
  - name: content-ingress
    host: content.freeleaps-alpha.com
    class: nginx
    rules:
    - path: /
      pathType: Prefix
      backend:
        service:
          name: content-service
          port:
            number: 8013
    tls:
      exists: false
      issuerRef:
        name: freeleaps-alpha-dot-com
        kind: ClusterIssuer
      name: content.freeleaps-alpha.com-cert
  configs:
    tz: UTC
    appName: content
    serviceApiAccessHost: 0.0.0.0
    serviceApiAccessPort: 8013
    mongodbName: freeleaps2
    mongodbPort: 27017
    mongodbUri: mongodb+srv://jetli:8IHKx6dZK8BfugGp@freeleaps2.hanbj.mongodb.net/
    freeleapsWwwAsAzureClientSecret: jTu8Q~WceiK-5dfZB44Ww-K4fVGi3_5tHNWYYbdX
    centralStorageWebapiUrlBase: http://central-storage-service.freeleaps-alpha.svc.freeleaps.cluster:8005/api/central_storage
    metricsEnabled: 'false'
    probesEnabled: 'true'
